Package org.jbpm.compiler

## Class ProcessBuilderImpl

- java.lang.Object
- - org.jbpm.compiler.ProcessBuilderImpl

- All Implemented Interfaces:
    `org.drools.compiler.compiler.ProcessBuilder`

      public class ProcessBuilderImpl
      extends Object
      implements org.drools.compiler.compiler.ProcessBuilder

  A ProcessBuilder can be used to build processes based on XML files containing a process definition.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessBuilderImpl​(org.drools.compiler.builder.impl.KnowledgeBuilderImpl packageBuilder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.definition.process.Process>` | `addProcessFromXml​(org.kie.api.io.Resource resource)` |
    `void` | `buildContexts​(ContextContainer contextContainer, ProcessBuildContext buildContext)` |
    `void` | `buildNodes​(org.kie.api.definition.process.WorkflowProcess process, ProcessBuildContext context)` |
    `void` | `buildProcess​(org.kie.api.definition.process.Process process, org.kie.api.io.Resource resource)` |
    `void` | `configurePackageBuilder​(org.kie.internal.builder.KnowledgeBuilder packageBuilder)` |
    `List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl>` | `getErrors()` |
    `protected org.drools.compiler.compiler.ParserError` | `newParserError​(org.kie.api.io.Resource resource, ProcessValidationError error, int row, int col)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessBuilderImpl

          public ProcessBuilderImpl​(org.drools.compiler.builder.impl.KnowledgeBuilderImpl packageBuilder)

  - ### Method Detail

    - #### configurePackageBuilder

          public void configurePackageBuilder​(org.kie.internal.builder.KnowledgeBuilder packageBuilder)

    - #### getErrors

          public List<org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl> getErrors()

      Specified by:
        `getErrors` in interface `org.drools.compiler.compiler.ProcessBuilder`

    - #### buildProcess

          public void buildProcess​(org.kie.api.definition.process.Process process,
                                   org.kie.api.io.Resource resource)

    - #### newParserError

          protected org.drools.compiler.compiler.ParserError newParserError​(org.kie.api.io.Resource resource,
                                                                            ProcessValidationError error,
                                                                            int row,
                                                                            int col)

    - #### buildContexts

          public void buildContexts​(ContextContainer contextContainer,
                                    ProcessBuildContext buildContext)

    - #### buildNodes

          public void buildNodes​(org.kie.api.definition.process.WorkflowProcess process,
                                 ProcessBuildContext context)

    - #### addProcessFromXml

          public List<org.kie.api.definition.process.Process> addProcessFromXml​(org.kie.api.io.Resource resource)
                                                                         throws IOException

      Specified by:
        `addProcessFromXml` in interface `org.drools.compiler.compiler.ProcessBuilder`
      Throws:
        `IOException`